Subject: Recursive validators cannot be built due to endless recursion
Description

When the ValidatorResolver tries to build a baseValidatorConjunction for a class that has a reference to itself, endless recursion is the
result.

Related issues:
related to TYPO3.Flow - Bug # 9874: Recursive validators cannot be used (endl... Resolved 2010-09-22

Associated revisions
Revision 48baedce - 2010-09-22 17:51 - Karsten Dambekalns

[+BUGFIX] FLOW3 (Validation): Fix building of base validators

The conjunction validators built for base validation of models did not
behave correctly, validation of contained objects was not added at all,
if no @validate annotation was found (#9862).

In addition validators for nested objects (A contains B which contains
A) could not be built due to ending up in endless recursion (#9855).

Change-Id: Id62828271312adb5c8e21c000a061b008b4596ec
Fixes: #9855
Fixes: #9862

History
#1 - 2010-09-21 11:21 - Karsten Dambekalns
- Status changed from New to Accepted

#2 - 2010-09-22 10:03 - Karsten Dambekalns
- Status changed from Accepted to Under Review

#3 - 2010-09-24 09:00 - Karsten Dambekalns
- Status changed from Under Review to Resolved
- % Done changed from 0 to 100

Applied in changeset commit:"48baedceea717f40bd195df3469cbee64d3a3acd".
